import { IPreloaderProps } from "./types";
export declare const PreloaderBase: import("styled-components").StyledComponent<"div", any, Pick<IPreloaderProps, "height" | "width" | "isShowLabel">, never>;
export declare const ProgressBarStyle: import("styled-components").StyledComponent<"div", any, {
    theme: import("../Pallette/themes").ITheme;
}, "theme">;
export declare const Filler: import("styled-components").StyledComponent<"div", any, Pick<IPreloaderProps, "progress">, never>;
export declare const Label: import("styled-components").StyledComponent<"label", any, {
    theme: import("../Pallette/themes").ITheme;
}, "theme">;
